
#ifndef LibA_EXPORT_H
#define LibA_EXPORT_H

#ifdef LibA_STATIC
#  define LibA_EXPORT
#  define LIBA_NO_EXPORT
#else
#  ifndef LibA_EXPORT
#    ifdef LibA_EXPORTS
        /* We are building this library */
#      define LibA_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define LibA_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBA_NO_EXPORT
#    define LIBA_NO_EXPORT 
#  endif
#endif

#ifndef LIBA_DEPRECATED
#  define LIBA_DEPRECATED __declspec(deprecated)
#endif

#ifndef LIBA_DEPRECATED_EXPORT
#  define LIBA_DEPRECATED_EXPORT LibA_EXPORT LIBA_DEPRECATED
#endif

#ifndef LIBA_DEPRECATED_NO_EXPORT
#  define LIBA_DEPRECATED_NO_EXPORT LIBA_NO_EXPORT LIBA_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIBA_NO_DEPRECATED
#    define LIBA_NO_DEPRECATED
#  endif
#endif

#endif /* LibA_EXPORT_H */
